Create price guard - Fabric

Create price guard

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-offers/price-guard \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "itemId": 10000000123,
  "priceListId": 100000,
  "itemSku": "DEF-SKU-1",
  "MSRP": 299,
  "MAP": 299,
  "ceiling": 299,
  "floor": 299
}
'  

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/price-guard"

payload = {
    "itemId": 10000000123,
    "priceListId": 100000,
    "itemSku": "DEF-SKU-1",
    "MSRP": 299,
    "MAP": 299,
    "ceiling": 299,
    "floor": 299
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    itemId: 10000000123,
    priceListId: 100000,
    itemSku: 'DEF-SKU-1',
    MSRP: 299,
    MAP: 299,
    ceiling: 299,
    floor: 299
  })
};

fetch('https://live.copilot.fabric.inc/api-offers/price-guard', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

Success 200

{
  "_id": "614b58924e92f6861ac9d43b",
  "itemId": 10000000123,
  "itemSku": "DEF-SKU-1",
  "priceListId": 100000,
  "MSRP": 299,
  "MAP": 299,
  "ceiling": 299,
  "floor": 299,
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}

Error Responses

{
  "code": "REQUEST_VALIDATION",
  "message": "MSRP must be greater than 0"
}
{
  "code": "PRICE_LIST_DATA_NOT_FOUND",
  "message": "Price list ID not found"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorizations

Headers